%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define pear_xmldir  /var/lib/pear

Name:           php-pear-channel-symfony
Version:        1.0
Release:        %mkrel 8
Summary:        Adds pear.symfony-project.com channel to PEAR
Group:          System/Libraries
License:        MIT
URL:            http://pear.symfony-project.com/
Source0:        http://pear.symfony-project.com/channel.xml
BuildArch:      noarch
BuildRequires:  php-pear
Requires(pre):	php-pear



%description
This package adds the pear.symfony-project.com channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install

%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} %{buildroot}%{pear_xmldir}//pear.symfony-project.com.xml



%clean

%{__rm} -rf %{buildroot}


%post

if [ $1 -gt  1 ] ; then
   pear channel-update %{pear_xmldir}/pear.symfony-project.com.xml
else
   pear channel-add %{pear_xmldir}/pear.symfony-project.com.xml
fi


%preun

if [ $1 -eq 0 ] ; then
   pear channel-delete pear.symfony-project.com > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/pear.symfony-project.com.xml






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0-8.mga3
+ Revision: 377508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 28 2012 pterjan <pterjan> 1.0-7.mga2
+ Revision: 227288
- Fix post condition ($1 will never be 0)

* Fri Dec 30 2011 spuhler <spuhler> 1.0-6.mga2
+ Revision: 188930
- changed the %%post if statement

* Fri Dec 30 2011 spuhler <spuhler> 1.0-5.mga2
+ Revision: 188858
- changed  http://pear.symfony-project.com/Chiara_PEAR_Server_REST/ to http://pear.symfony-project.com/rest/

  + ahmad <ahmad>
    - A package shouldn't provide and obsolete itself

* Mon Jul 18 2011 spuhler <spuhler> 1.0-3.mga2
+ Revision: 125713
- increased rel for rebuild
  It didn't make it to the mirrors

* Wed Jul 13 2011 spuhler <spuhler> 1.0-2.mga2
+ Revision: 123582
- Fix the Summary
- totally revamped, name and server adress

* Tue Jul 12 2011 spuhler <spuhler> 1.0-1.mga2
+ Revision: 122818
- imported package php-pear-channel-symfony

